<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:22:05 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Constant Field Values (org.eclipse.papyrus.designer.components.fcm.profile 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Constant Field Values (org.eclipse.papyrus.designer.components.fcm.profile 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Constant Field Values" class="title">Constant Field Values</h1>
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#org.eclipse">org.eclipse.*</a></li>
</ul>
</div>
<div class="constantValuesContainer"><a name="org.eclipse">
<!--   -->
</a>
<h2 title="org.eclipse">org.eclipse.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.components.FCM.<a href="org/eclipse/papyrus/designer/components/FCM/ContainerRuleKind.html" title="enum in org.eclipse.papyrus.designer.components.FCM">ContainerRuleKind</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.ContainerRuleKind.COMPONENT_RULE_VALUE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/ContainerRuleKind.html#COMPONENT_RULE_VALUE">COMPONENT_RULE_VALUE</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.ContainerRuleKind.CUSTOM_TRANSFORMATION_VALUE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/ContainerRuleKind.html#CUSTOM_TRANSFORMATION_VALUE">CUSTOM_TRANSFORMATION_VALUE</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.ContainerRuleKind.LIGHT_WEIGHT_OO_RULE_VALUE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/ContainerRuleKind.html#LIGHT_WEIGHT_OO_RULE_VALUE">LIGHT_WEIGHT_OO_RULE_VALUE</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.components.FCM.<a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html" title="interface in org.eclipse.papyrus.designer.components.FCM">FCMPackage</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.ASSEMBLY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#ASSEMBLY">ASSEMBLY</a></code></td>
<td class="colLast"><code>17</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.ASSEMBLY__BASE_CLASS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#ASSEMBLY__BASE_CLASS">ASSEMBLY__BASE_CLASS</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.ASSEMBLY_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#ASSEMBLY_FEATURE_COUNT">ASSEMBLY_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.CODE_GEN_OPTIONS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#CODE_GEN_OPTIONS">CODE_GEN_OPTIONS</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.CODE_GEN_OPTIONS__BASE_PACKAGE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#CODE_GEN_OPTIONS__BASE_PACKAGE">CODE_GEN_OPTIONS__BASE_PACKAGE</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.CODE_GEN_OPTIONS__COMP_TO_OOMAPPING">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#CODE_GEN_OPTIONS__COMP_TO_OOMAPPING">CODE_GEN_OPTIONS__COMP_TO_OOMAPPING</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.CODE_GEN_OPTIONS_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#CODE_GEN_OPTIONS_FEATURE_COUNT">CODE_GEN_OPTIONS_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.COMP_IMPL_TEMPLATE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#COMP_IMPL_TEMPLATE">COMP_IMPL_TEMPLATE</a></code></td>
<td class="colLast"><code>14</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.COMP_IMPL_TEMPLATE__BASE_CLASS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#COMP_IMPL_TEMPLATE__BASE_CLASS">COMP_IMPL_TEMPLATE__BASE_CLASS</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.COMP_IMPL_TEMPLATE__TEMPLATE_DEFS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#COMP_IMPL_TEMPLATE__TEMPLATE_DEFS">COMP_IMPL_TEMPLATE__TEMPLATE_DEFS</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.COMP_IMPL_TEMPLATE_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#COMP_IMPL_TEMPLATE_FEATURE_COUNT">COMP_IMPL_TEMPLATE_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.COMP_TO_OOMAPPING">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#COMP_TO_OOMAPPING">COMP_TO_OOMAPPING</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.COMP_TO_OOMAPPING__BASE_CLASS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#COMP_TO_OOMAPPING__BASE_CLASS">COMP_TO_OOMAPPING__BASE_CLASS</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.COMP_TO_OOMAPPING_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#COMP_TO_OOMAPPING_FEATURE_COUNT">COMP_TO_OOMAPPING_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.CONFIGURABLE_ELEMENT_INSTANCE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#CONFIGURABLE_ELEMENT_INSTANCE">CONFIGURABLE_ELEMENT_INSTANCE</a></code></td>
<td class="colLast"><code>6</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.CONFIGURABLE_ELEMENT_INSTANCE__CONFIGURATION">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#CONFIGURABLE_ELEMENT_INSTANCE__CONFIGURATION">CONFIGURABLE_ELEMENT_INSTANCE__CONFIGURATION</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.CONFIGURABLE_ELEMENT_INSTANCE_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#CONFIGURABLE_ELEMENT_INSTANCE_FEATURE_COUNT">CONFIGURABLE_ELEMENT_INSTANCE_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.CONNECTOR">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#CONNECTOR">CONNECTOR</a></code></td>
<td class="colLast"><code>5</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.CONNECTOR__BASE_CONNECTOR">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#CONNECTOR__BASE_CONNECTOR">CONNECTOR__BASE_CONNECTOR</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.CONNECTOR__BASE_PROPERTY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#CONNECTOR__BASE_PROPERTY">CONNECTOR__BASE_PROPERTY</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.CONNECTOR__CONFIGURATION">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#CONNECTOR__CONFIGURATION">CONNECTOR__CONFIGURATION</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.CONNECTOR__IC">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#CONNECTOR__IC">CONNECTOR__IC</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.CONNECTOR_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#CONNECTOR_FEATURE_COUNT">CONNECTOR_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.CONTAINER_RULE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#CONTAINER_RULE">CONTAINER_RULE</a></code></td>
<td class="colLast"><code>10</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.CONTAINER_RULE__BASE_CLASS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#CONTAINER_RULE__BASE_CLASS">CONTAINER_RULE__BASE_CLASS</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.CONTAINER_RULE__KIND">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#CONTAINER_RULE__KIND">CONTAINER_RULE__KIND</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.CONTAINER_RULE_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#CONTAINER_RULE_FEATURE_COUNT">CONTAINER_RULE_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.CONTAINER_RULE_KIND">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#CONTAINER_RULE_KIND">CONTAINER_RULE_KIND</a></code></td>
<td class="colLast"><code>18</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.eNAME">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#eNAME">eNAME</a></code></td>
<td class="colLast"><code>"FCM"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.eNS_PREFIX">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#eNS_PREFIX">eNS_PREFIX</a></code></td>
<td class="colLast"><code>"FCM"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.eNS_URI">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#eNS_URI">eNS_URI</a></code></td>
<td class="colLast"><code>"http://www.eclipse.org/papyrus/FCM/1"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.FRAGMENT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#FRAGMENT">FRAGMENT</a></code></td>
<td class="colLast"><code>16</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.FRAGMENT__BASE_CLASS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#FRAGMENT__BASE_CLASS">FRAGMENT__BASE_CLASS</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.FRAGMENT_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#FRAGMENT_FEATURE_COUNT">FRAGMENT_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.IMPLEMENTATION_GROUP">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#IMPLEMENTATION_GROUP">IMPLEMENTATION_GROUP</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.IMPLEMENTATION_GROUP__BASE_CLASS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#IMPLEMENTATION_GROUP__BASE_CLASS">IMPLEMENTATION_GROUP__BASE_CLASS</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.IMPLEMENTATION_GROUP_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#IMPLEMENTATION_GROUP_FEATURE_COUNT">IMPLEMENTATION_GROUP_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.INSTANCE_CONFIGURATOR">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#INSTANCE_CONFIGURATOR">INSTANCE_CONFIGURATOR</a></code></td>
<td class="colLast"><code>8</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.INSTANCE_CONFIGURATOR__BASE_CLASS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#INSTANCE_CONFIGURATOR__BASE_CLASS">INSTANCE_CONFIGURATOR__BASE_CLASS</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.INSTANCE_CONFIGURATOR__ON_NODE_MODEL">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#INSTANCE_CONFIGURATOR__ON_NODE_MODEL">INSTANCE_CONFIGURATOR__ON_NODE_MODEL</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.INSTANCE_CONFIGURATOR_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#INSTANCE_CONFIGURATOR_FEATURE_COUNT">INSTANCE_CONFIGURATOR_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.INTERACTION_COMPONENT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#INTERACTION_COMPONENT">INTERACTION_COMPONENT</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.INTERACTION_COMPONENT__BASE_CLASS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#INTERACTION_COMPONENT__BASE_CLASS">INTERACTION_COMPONENT__BASE_CLASS</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.INTERACTION_COMPONENT__CONNECTION_PATTERN">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#INTERACTION_COMPONENT__CONNECTION_PATTERN">INTERACTION_COMPONENT__CONNECTION_PATTERN</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.INTERACTION_COMPONENT__FOR_DISTRIBUTION">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#INTERACTION_COMPONENT__FOR_DISTRIBUTION">INTERACTION_COMPONENT__FOR_DISTRIBUTION</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.INTERACTION_COMPONENT_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#INTERACTION_COMPONENT_FEATURE_COUNT">INTERACTION_COMPONENT_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.INTERCEPTION_KIND">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#INTERCEPTION_KIND">INTERCEPTION_KIND</a></code></td>
<td class="colLast"><code>19</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.INTERCEPTION_RULE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#INTERCEPTION_RULE">INTERCEPTION_RULE</a></code></td>
<td class="colLast"><code>15</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.INTERCEPTION_RULE__BASE_OPERATION">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#INTERCEPTION_RULE__BASE_OPERATION">INTERCEPTION_RULE__BASE_OPERATION</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.INTERCEPTION_RULE__BASE_PROPERTY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#INTERCEPTION_RULE__BASE_PROPERTY">INTERCEPTION_RULE__BASE_PROPERTY</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.INTERCEPTION_RULE__INTERCEPTION_KIND">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#INTERCEPTION_RULE__INTERCEPTION_KIND">INTERCEPTION_RULE__INTERCEPTION_KIND</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.INTERCEPTION_RULE__INTERCEPTION_SET">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#INTERCEPTION_RULE__INTERCEPTION_SET">INTERCEPTION_RULE__INTERCEPTION_SET</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.INTERCEPTION_RULE_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#INTERCEPTION_RULE_FEATURE_COUNT">INTERCEPTION_RULE_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.PORT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#PORT">PORT</a></code></td>
<td class="colLast"><code>12</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.PORT__BASE_PORT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#PORT__BASE_PORT">PORT__BASE_PORT</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.PORT__CONFIGURATION">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#PORT__CONFIGURATION">PORT__CONFIGURATION</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.PORT__KIND">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#PORT__KIND">PORT__KIND</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.PORT__TYPE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#PORT__TYPE">PORT__TYPE</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.PORT_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#PORT_FEATURE_COUNT">PORT_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.PORT_KIND">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#PORT_KIND">PORT_KIND</a></code></td>
<td class="colLast"><code>13</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.PORT_KIND__BASE_CLASS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#PORT_KIND__BASE_CLASS">PORT_KIND__BASE_CLASS</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.PORT_KIND__EXTENDED_PORT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#PORT_KIND__EXTENDED_PORT">PORT_KIND__EXTENDED_PORT</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.PORT_KIND__PROVIDED_INTERFACE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#PORT_KIND__PROVIDED_INTERFACE">PORT_KIND__PROVIDED_INTERFACE</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.PORT_KIND__REQUIRED_INTERFACE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#PORT_KIND__REQUIRED_INTERFACE">PORT_KIND__REQUIRED_INTERFACE</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.PORT_KIND_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#PORT_KIND_FEATURE_COUNT">PORT_KIND_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.RULE_APPLICATION">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#RULE_APPLICATION">RULE_APPLICATION</a></code></td>
<td class="colLast"><code>9</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.RULE_APPLICATION__BASE_CLASS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#RULE_APPLICATION__BASE_CLASS">RULE_APPLICATION__BASE_CLASS</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.RULE_APPLICATION__BASE_PACKAGE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#RULE_APPLICATION__BASE_PACKAGE">RULE_APPLICATION__BASE_PACKAGE</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.RULE_APPLICATION__CONTAINER_RULE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#RULE_APPLICATION__CONTAINER_RULE">RULE_APPLICATION__CONTAINER_RULE</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.RULE_APPLICATION_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#RULE_APPLICATION_FEATURE_COUNT">RULE_APPLICATION_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.SINGLETON">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#SINGLETON">SINGLETON</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.SINGLETON__BASE_CLASS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#SINGLETON__BASE_CLASS">SINGLETON__BASE_CLASS</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.SINGLETON_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#SINGLETON_FEATURE_COUNT">SINGLETON_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.TEMPLATE_PORT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#TEMPLATE_PORT">TEMPLATE_PORT</a></code></td>
<td class="colLast"><code>11</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.TEMPLATE_PORT__BASE_PORT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#TEMPLATE_PORT__BASE_PORT">TEMPLATE_PORT__BASE_PORT</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.TEMPLATE_PORT__BOUND_TYPE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#TEMPLATE_PORT__BOUND_TYPE">TEMPLATE_PORT__BOUND_TYPE</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.TEMPLATE_PORT__CONFIGURATION">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#TEMPLATE_PORT__CONFIGURATION">TEMPLATE_PORT__CONFIGURATION</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.TEMPLATE_PORT__KIND">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#TEMPLATE_PORT__KIND">TEMPLATE_PORT__KIND</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.TEMPLATE_PORT__TYPE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#TEMPLATE_PORT__TYPE">TEMPLATE_PORT__TYPE</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.TEMPLATE_PORT_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#TEMPLATE_PORT_FEATURE_COUNT">TEMPLATE_PORT_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>5</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.USE_INSTANCE_CONFIGURATOR">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#USE_INSTANCE_CONFIGURATOR">USE_INSTANCE_CONFIGURATOR</a></code></td>
<td class="colLast"><code>7</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.USE_INSTANCE_CONFIGURATOR__BASE_CLASS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#USE_INSTANCE_CONFIGURATOR__BASE_CLASS">USE_INSTANCE_CONFIGURATOR__BASE_CLASS</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.USE_INSTANCE_CONFIGURATOR__CONFIGURATOR">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#USE_INSTANCE_CONFIGURATOR__CONFIGURATOR">USE_INSTANCE_CONFIGURATOR__CONFIGURATOR</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.FCMPackage.USE_INSTANCE_CONFIGURATOR_FEATURE_COUNT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#USE_INSTANCE_CONFIGURATOR_FEATURE_COUNT">USE_INSTANCE_CONFIGURATOR_FEATURE_COUNT</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.components.FCM.<a href="org/eclipse/papyrus/designer/components/FCM/InterceptionKind.html" title="enum in org.eclipse.papyrus.designer.components.FCM">InterceptionKind</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.InterceptionKind.INTERCEPT_ALL_IN_VALUE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/InterceptionKind.html#INTERCEPT_ALL_IN_VALUE">INTERCEPT_ALL_IN_VALUE</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.InterceptionKind.INTERCEPT_ALL_OUT_VALUE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/InterceptionKind.html#INTERCEPT_ALL_OUT_VALUE">INTERCEPT_ALL_OUT_VALUE</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.InterceptionKind.INTERCEPT_ALL_VALUE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/InterceptionKind.html#INTERCEPT_ALL_VALUE">INTERCEPT_ALL_VALUE</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.InterceptionKind.INTERCEPT_MATCHING_VALUE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/InterceptionKind.html#INTERCEPT_MATCHING_VALUE">INTERCEPT_MATCHING_VALUE</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.InterceptionKind.INTERCEPT_SOME_VALUE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/InterceptionKind.html#INTERCEPT_SOME_VALUE">INTERCEPT_SOME_VALUE</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.components.FCM.impl.<a href="org/eclipse/papyrus/designer/components/FCM/impl/InstanceConfiguratorImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">InstanceConfiguratorImpl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.impl.InstanceConfiguratorImpl.ON_NODE_MODEL_EDEFAULT">
<!--   -->
</a><code>protected&nbsp;static&nbsp;final&nbsp;boolean</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/impl/InstanceConfiguratorImpl.html#ON_NODE_MODEL_EDEFAULT">ON_NODE_MODEL_EDEFAULT</a></code></td>
<td class="colLast"><code>false</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.components.FCM.impl.<a href="org/eclipse/papyrus/designer/components/FCM/impl/InteractionComponentImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">InteractionComponentImpl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.impl.InteractionComponentImpl.FOR_DISTRIBUTION_EDEFAULT">
<!--   -->
</a><code>protected&nbsp;static&nbsp;final&nbsp;boolean</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/impl/InteractionComponentImpl.html#FOR_DISTRIBUTION_EDEFAULT">FOR_DISTRIBUTION_EDEFAULT</a></code></td>
<td class="colLast"><code>false</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.components.FCM.impl.<a href="org/eclipse/papyrus/designer/components/FCM/impl/PortKindImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">PortKindImpl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.impl.PortKindImpl.EXTENDED_PORT_EDEFAULT">
<!--   -->
</a><code>protected&nbsp;static&nbsp;final&nbsp;boolean</code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/impl/PortKindImpl.html#EXTENDED_PORT_EDEFAULT">EXTENDED_PORT_EDEFAULT</a></code></td>
<td class="colLast"><code>false</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.components.FCM.profile.<a href="org/eclipse/papyrus/designer/components/FCM/profile/Activator.html" title="class in org.eclipse.papyrus.designer.components.FCM.profile">Activator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.profile.Activator.PLUGIN_ID">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/profile/Activator.html#PLUGIN_ID">PLUGIN_ID</a></code></td>
<td class="colLast"><code>"org.eclipse.papyrus.designer.components.fcm.profile"</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.eclipse.papyrus.designer.components.FCM.profile.<a href="org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html" title="class in org.eclipse.papyrus.designer.components.FCM.profile">PortMapUtil</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.profile.PortMapUtil.MAPPING_RULE_ID">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#MAPPING_RULE_ID">MAPPING_RULE_ID</a></code></td>
<td class="colLast"><code>"fcmPortMappingRule"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.eclipse.papyrus.designer.components.FCM.profile.PortMapUtil.rootModelName">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#rootModelName">rootModelName</a></code></td>
<td class="colLast"><code>"root"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
